Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QErrorMessage Class Reference

The QErrorMessage class provides an error message display dialog. More...

    #include <QErrorMessage>

Inherits QDialog.

- List of all members, including inherited members

### Writable Properties

- 2 writable properties inherited from QDialog
- 33 writable properties inherited from QWidget
- 1 writable property inherited from QObject

### Read-Only Properties

- 20 read-only properties inherited from QWidget

### Public Functions

- QErrorMessage ( QWidget * parent = 0 )
- ~QErrorMessage ()

- 7 public functions inherited from QDialog
- 92 public functions inherited from QWidget
- 26 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Public Slots

- void message ( const QString & m )

- 5 public slots inherited from QDialog
- 16 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- QErrorMessage * qtHandler ()

- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

### Protected Functions

- 42 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QErrorMessage class provides an error message display dialog.

This is basically a QLabel and a "show this message again" checkbox which remembers what not to show.

There are two ways to use this class:

1. For production applications. In this context the class can be used to display messages which you don't need the user to see more than once. To use QErrorMessage like this, you create the dialog in the usual way and call the message() slot, or connect signals to it.
2. For developers. In this context the static qtHandler() installs a message handler using qInstallMsgHandler() and creates a QErrorMessage that displays qDebug(), qWarning() and qFatal() messages.

In both cases QErrorMessage will queue pending messages, and display them (or not) in order, as soon as the user presses Enter or clicks OK after seeing each message.

See also QMessageBox and QStatusBar::message().

## Member Function Documentation

### QErrorMessage::QErrorMessage ( QWidget * parent = 0 )

Constructs and installs an error handler window with the given parent.

### QErrorMessage::~QErrorMessage ()

Destroys the object and frees any allocated resources. Note that the list of "do not show again" messages is deleted.

### void QErrorMessage::message ( const QString & m ) `[slot]`

Shows message m and returns immediately. If the user has requested that m not be shown, this function does nothing.

Normally, m is shown at once, but if there are pending messages, m is queued for later display.

### QErrorMessage * QErrorMessage::qtHandler () `[static]`

Returns a pointer to a QErrorMessage object that outputs the default Qt messages. This function creates such an object, if there isn't one already.